com.unitech.lib.uhf.module.stseries

## Class ModuleUHFST25RU3993

- java.lang.Object
- - com.unitech.lib.uhf.module.BaseModuleUHF
  - - com.unitech.lib.uhf.module.stseries.ModuleUHFST25RU3993

-     public class ModuleUHFST25RU3993
      extends com.unitech.lib.uhf.module.BaseModuleUHF

- - ### Field Summary

    - ### Fields inherited from class com.unitech.lib.uhf.module.BaseModuleUHF

      `_moduleRfidUhfEventListener, _reader, _timeout, DEFAULT_TIMEOUT, TAG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModuleUHFST25RU3993(com.unitech.lib.device.IReader reader, com.unitech.lib.protocol.IProtocol protocol, IModuleRfidUhfEventListener listener)` Create an instance of the ModuleRfidUhf class.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `assertPassword(java.lang.String password)`
    `protected void` | `assertSelectMask(int index)`
    `protected void` | `changeSelectEPC(int offset, java.lang.String data)`
    `protected ResultCode` | `clearSelectMask()`
    `AlgorithmType` | `getAlgorithmType()`
    `BLFType` | `getBLF()`
    `RFIDConfig` | `getConfig()`
    `boolean` | `getContinuousMode()`
    `Encoding` | `getEncoding()`
    `boolean` | `getFastMode()` Returns the status of the fast mode that the RFID UHF module of the appliance uses to perform the inventory.
    `int` | `getIdleTime()`
    `com.unitech.stuhfl.STUHFL_T_ST25RU3993_Gen2_InventoryCfg` | `getInventoryCfg()`
    `int` | `getInventoryTime()`
    `Mask6cAction` | `getMask6cAction(int index)`
    `BankType` | `getMask6cBank(int index)`
    `int` | `getMask6cMaxSize()`
    `int` | `getMask6cOffset(int index)`
    `<any>` | `getMask6cPattern(int index)`
    `Mask6cTarget` | `getMask6cTarget(int index)`
    `boolean` | `getMask6cUsed(int index)`
    `int` | `getMaxQ()`
    `int` | `getMinQ()`
    `int` | `getPower()`
    `<any>` | `getPowerGainRange()`
    `com.unitech.stuhfl.STUHFL_T_ST25RU3993_Gen2_ProtocolCfg` | `getProtocolCfg()`
    `GlobalBandType` | `getRegion()`
    `Session` | `getSession()`
    `SKUType` | `getSKU()`
    `int` | `getStartQ()`
    `Target` | `getTarget()`
    `TARIType` | `getTARI()`
    `boolean` | `getToggleTarget()` Returns the status of the toggle target that the RFID UHF module of the appliance uses to perform the inventory.
    `java.lang.String` | `getVersion()`
    `protected SelectMask6cParam` | `initSelectMask6cParam()`
    `static double` | `interpretRSSI(short rssiLogI, short rssiLogQ)`
    `ResultCode` | `inventory()`
    `ResultCode` | `killTag(java.lang.String password)`
    `ResultCode` | `lock(Lock6cParam param, java.lang.String password)`
    `ResultCode` | `permaLock(PermaLock6cParam param, java.lang.String password)`
    `void` | `PumpEvent(int subCmd, java.lang.Object data)`
    `ResultCode` | `readMemory(BankType bank, int offset, int length, java.lang.String password)`
    `void` | `setAlgorithmType(AlgorithmType type)`
    `void` | `setBLF(BLFType type)`
    `void` | `setConfig(RFIDConfig rfidConfig)`
    `void` | `setContinuousMode(boolean enabled)`
    `void` | `setEncoding(Encoding encoding)`
    `void` | `setFastMode(boolean enabled)` Sets the status of the fast mode that the RFID UHF module of the appliance uses to perform the inventory.
    `void` | `setIdleTime(int idleTime)`
    `void` | `setInventoryTime(int time)`
    `void` | `setMask6cAction(int index, Mask6cAction action)`
    `void` | `setMask6cBank(int index, BankType bankType)`
    `void` | `setMask6cOffset(int index, int value)`
    `void` | `setMask6cPattern(int index, java.lang.String pattern, int length)`
    `void` | `setMask6cTarget(int index, Mask6cTarget target)`
    `void` | `setMask6cUsed(int index, boolean enabled)`
    `void` | `setMaxQ(int value)`
    `void` | `setMinQ(int value)`
    `void` | `setPower(int power)`
    `void` | `setRegion(GlobalBandType type)`
    `protected ResultCode` | `setSelectMask()`
    `void` | `setSession(Session session)`
    `void` | `setStartQ(int value)`
    `void` | `setTarget(Target target)`
    `void` | `setTARI(TARIType type)`
    `void` | `setToggleTarget(boolean enabled)` Sets the status of the toggle target that the RFID UHF module of the appliance uses to perform the inventory.
    `ResultCode` | `stopAction()`
    `ResultCode` | `writeMemory(BankType bank, int offset, java.lang.String data, java.lang.String password)`

    - ### Methods inherited from class com.unitech.lib.uhf.module.BaseModuleUHF

      `getProtocol, getTimeout, getType, setTimeout`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ModuleUHFST25RU3993

          public ModuleUHFST25RU3993(com.unitech.lib.device.IReader reader,
                                     com.unitech.lib.protocol.IProtocol protocol,
                                     IModuleRfidUhfEventListener listener)

      Create an instance of the ModuleRfidUhf class.
      Parameters:
        `reader` - The reader class which the module installed.
        `protocol` - The connection protocol.
        `listener` - The listener for module event.

  - ### Method Detail

    - #### inventory

          public ResultCode inventory()

    - #### getPowerGainRange

          public <any> getPowerGainRange()

    - #### getRegion

          public GlobalBandType getRegion()
                                   throws ReaderException

      Throws:
        `ReaderException`

    - #### setRegion

          public void setRegion(GlobalBandType type)
                         throws ReaderException

      Throws:
        `ReaderException`

    - #### getSession

          public Session getSession()
                             throws ReaderException

      Throws:
        `ReaderException`

    - #### setSession

          public void setSession(Session session)
                          throws ReaderException

      Throws:
        `ReaderException`

    - #### getTarget

          public Target getTarget()
                           throws ReaderException

      Throws:
        `ReaderException`

    - #### setTarget

          public void setTarget(Target target)
                         throws ReaderException

      Throws:
        `ReaderException`

    - #### getEncoding

          public Encoding getEncoding()
                               throws ReaderException

      Throws:
        `ReaderException`

    - #### setEncoding

          public void setEncoding(Encoding encoding)
                           throws ReaderException

      Throws:
        `ReaderException`

    - #### getStartQ

          public int getStartQ()
                        throws ReaderException

      Throws:
        `ReaderException`

    - #### setStartQ

          public void setStartQ(int value)
                         throws ReaderException

      Throws:
        `ReaderException`

    - #### getMinQ

          public int getMinQ()
                      throws ReaderException

      Throws:
        `ReaderException`

    - #### setMinQ

          public void setMinQ(int value)
                       throws ReaderException

      Throws:
        `ReaderException`

    - #### getMaxQ

          public int getMaxQ()
                      throws ReaderException

      Throws:
        `ReaderException`

    - #### setMaxQ

          public void setMaxQ(int value)
                       throws ReaderException

      Throws:
        `ReaderException`

    - #### getPower

          public int getPower()
                       throws ReaderException

      Throws:
        `ReaderException`

    - #### setPower

          public void setPower(int power)
                        throws ReaderException

      Throws:
        `ReaderException`

    - #### getSKU

          public SKUType getSKU()
                         throws ReaderException

      Throws:
        `ReaderException`

    - #### getVersion

          public java.lang.String getVersion()
                                      throws ReaderException

      Throws:
        `ReaderException`

    - #### getTARI

          public TARIType getTARI()
                           throws ReaderException

      Throws:
        `ReaderException`

    - #### setTARI

          public void setTARI(TARIType type)
                       throws ReaderException

      Throws:
        `ReaderException`

    - #### getBLF

          public BLFType getBLF()
                         throws ReaderException

      Throws:
        `ReaderException`

    - #### setBLF

          public void setBLF(BLFType type)
                      throws ReaderException

      Throws:
        `ReaderException`

    - #### getAlgorithmType

          public AlgorithmType getAlgorithmType()
                                         throws ReaderException

      Throws:
        `ReaderException`

    - #### setAlgorithmType

          public void setAlgorithmType(AlgorithmType type)
                                throws ReaderException

      Throws:
        `ReaderException`

    - #### getMask6cUsed

          public boolean getMask6cUsed(int index)
                                throws ReaderException

      Throws:
        `ReaderException`

    - #### setMask6cUsed

          public void setMask6cUsed(int index,
                                    boolean enabled)
                             throws ReaderException

      Throws:
        `ReaderException`

    - #### getMask6cTarget

          public Mask6cTarget getMask6cTarget(int index)
                                       throws ReaderException

      Throws:
        `ReaderException`

    - #### setMask6cTarget

          public void setMask6cTarget(int index,
                                      Mask6cTarget target)
                               throws ReaderException

      Throws:
        `ReaderException`

    - #### getMask6cAction

          public Mask6cAction getMask6cAction(int index)
                                       throws ReaderException

      Throws:
        `ReaderException`

    - #### setMask6cAction

          public void setMask6cAction(int index,
                                      Mask6cAction action)
                               throws ReaderException

      Throws:
        `ReaderException`

    - #### getMask6cBank

          public BankType getMask6cBank(int index)
                                 throws ReaderException

      Throws:
        `ReaderException`

    - #### setMask6cBank

          public void setMask6cBank(int index,
                                    BankType bankType)
                             throws ReaderException

      Throws:
        `ReaderException`

    - #### getMask6cOffset

          public int getMask6cOffset(int index)
                              throws ReaderException

      Throws:
        `ReaderException`

    - #### setMask6cOffset

          public void setMask6cOffset(int index,
                                      int value)
                               throws ReaderException

      Throws:
        `ReaderException`

    - #### getMask6cPattern

          public <any> getMask6cPattern(int index)
                                 throws ReaderException

      Throws:
        `ReaderException`

    - #### setMask6cPattern

          public void setMask6cPattern(int index,
                                       java.lang.String pattern,
                                       int length)
                                throws ReaderException

      Throws:
        `ReaderException`

    - #### getContinuousMode

          public boolean getContinuousMode()

    - #### setContinuousMode

          public void setContinuousMode(boolean enabled)

    - #### getInventoryTime

          public int getInventoryTime()
                               throws ReaderException

      Throws:
        `ReaderException`

    - #### setInventoryTime

          public void setInventoryTime(int time)
                                throws ReaderException

      Throws:
        `ReaderException`

    - #### getIdleTime

          public int getIdleTime()

    - #### setIdleTime

          public void setIdleTime(int idleTime)
                           throws ReaderException

      Throws:
        `ReaderException`

    - #### getMask6cMaxSize

          public int getMask6cMaxSize()

    - #### readMemory

          public ResultCode readMemory(BankType bank,
                                       int offset,
                                       int length,
                                       java.lang.String password)

    - #### writeMemory

          public ResultCode writeMemory(BankType bank,
                                        int offset,
                                        java.lang.String data,
                                        java.lang.String password)

    - #### killTag

          public ResultCode killTag(java.lang.String password)

    - #### lock

          public ResultCode lock(Lock6cParam param,
                                 java.lang.String password)

    - #### permaLock

          public ResultCode permaLock(PermaLock6cParam param,
                                      java.lang.String password)

    - #### getToggleTarget

          public boolean getToggleTarget()
                                  throws ReaderException

      Returns the status of the toggle target that the RFID UHF module of the appliance uses to perform the inventory.
      Returns:
        The toggle target status.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setToggleTarget

          public void setToggleTarget(boolean enabled)
                               throws ReaderException

      Sets the status of the toggle target that the RFID UHF module of the appliance uses to perform the inventory.
      Parameters:
        `enabled` - The toggle target status.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getFastMode

          public boolean getFastMode()
                              throws ReaderException

      Returns the status of the fast mode that the RFID UHF module of the appliance uses to perform the inventory.
      Returns:
        The fast mode status.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setFastMode

          public void setFastMode(boolean enabled)
                           throws ReaderException

      Sets the status of the fast mode that the RFID UHF module of the appliance uses to perform the inventory.
      Parameters:
        `enabled` - The fast mode status.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getConfig

          public RFIDConfig getConfig()
                               throws ReaderException

      Throws:
        `ReaderException`

    - #### setConfig

          public void setConfig(RFIDConfig rfidConfig)
                         throws ReaderException

      Throws:
        `ReaderException`

    - #### PumpEvent

          public void PumpEvent(int subCmd,
                                java.lang.Object data)

      Specified by:
        `PumpEvent` in class `com.unitech.lib.uhf.module.BaseModuleUHF`

    - #### stopAction

          public ResultCode stopAction()

    - #### assertSelectMask

          protected void assertSelectMask(int index)
                                   throws ReaderException

      Throws:
        `ReaderException`

    - #### assertPassword

          protected void assertPassword(java.lang.String password)
                                 throws ReaderException

      Throws:
        `ReaderException`

    - #### initSelectMask6cParam

          protected SelectMask6cParam initSelectMask6cParam()

    - #### setSelectMask

          protected ResultCode setSelectMask()

    - #### clearSelectMask

          protected ResultCode clearSelectMask()

    - #### changeSelectEPC

          protected void changeSelectEPC(int offset,
                                         java.lang.String data)

    - #### getInventoryCfg

          public com.unitech.stuhfl.STUHFL_T_ST25RU3993_Gen2_InventoryCfg getInventoryCfg()
                                                                                   throws ReaderException

      Throws:
        `ReaderException`

    - #### getProtocolCfg

          public com.unitech.stuhfl.STUHFL_T_ST25RU3993_Gen2_ProtocolCfg getProtocolCfg()
                                                                                 throws ReaderException

      Throws:
        `ReaderException`

    - #### interpretRSSI

          public static double interpretRSSI(short rssiLogI,
                                             short rssiLogQ)